Bug 8767 - Missing strings.h declaration in testsuite on Solaris (OpenIndiana)
Missing strings.h declaration in testsuite on Solaris (OpenIndiana)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x64 Solaris
: P5 normal
: ---
Assigned To: Matthias Dieter Wallnöfer
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-19 16:41 UTC by Michael Farnbach
Modified: 2012-02-29 16:14 UTC (History)
1 user (show)

See Also:


Attachments
bin/config.log (337.82 KB, text/plain)
2012-02-20 03:25 UTC, Michael Farnbach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Farnbach 2012-02-19 16:41:28 UTC
Compile after 'configure.developer' errors out on dozens of the files in the testsuite directory for lack of declaration of bzero.

I did a work around to add #include <strings.h> (not string.h) to the offending files.

With that many files missing the right include, perhaps configure or ifdef is not properly configured for the environment for testsuite?
Comment 1 Matthias Dieter Wallnöfer 2012-02-19 21:53:22 UTC
This gives us too little knowledge about your issue. Could you please upload your build error output and configure log (bin/config.log) as an attachment?
Comment 2 Michael Farnbach 2012-02-20 03:19:20 UTC
(In reply to comment #1)
> This gives us too little knowledge about your issue. Could you please upload
> your build error output and configure log (bin/config.log) as an attachment?

Here's the compile error output. It is the same for many files in testsuite also.

[3034/3801] Compiling examples/libsmbclient/testsmbc.c
../examples/libsmbclient/testsmbc.c:35: warning: no previous prototype for 'print_list_fn'
../examples/libsmbclient/testsmbc.c: In function `main':
../examples/libsmbclient/testsmbc.c:133: error: implicit declaration of function `bzero'
../examples/libsmbclient/testsmbc.c:259: warning: unsigned int format, mode_t arg (arg 5)
../examples/libsmbclient/testsmbc.c:262: warning: unsigned int format, mode_t arg (arg 5)
Waf: Leaving directory `/apool/samba4/samba-master/bin'
Build failed:  -> task failed (err #1):
        {task: cc testsmbc.c -> testsmbc_1.o}
make: *** [all] Error 1

I'll upload the configure log momentarily...
Comment 3 Michael Farnbach 2012-02-20 03:25:17 UTC
Created attachment 7332 [details]
bin/config.log
Comment 4 Matthias Dieter Wallnöfer 2012-02-23 07:55:23 UTC
This should have been fixed in "master".
Comment 5 Michael Farnbach 2012-02-24 15:14:14 UTC
I can confirm that the error was fixed for the file I gave an example of the error to. However now I'm getting the same error on testsuite/libsmbclient/src/init/init_3.c when it is compiled.

Here's a list of all the files that contain bzero, but no strings.h declaration...

If I manually add strings.h to all the offending files, I wind up adding it to dozens of files. My workaround has been to add strings.h to the libsmbclient.h header which seems to fix it for all the files but perhaps is overkill.

lib/replace/test/testsuite.c
lib/replace/crypt.c
testsuite/libsmbclient/src/write/write_7.c
testsuite/libsmbclient/src/write/write_13.c
testsuite/libsmbclient/src/write/write_12.c
testsuite/libsmbclient/src/write/write_6.c
testsuite/libsmbclient/src/write/write_4.c
testsuite/libsmbclient/src/write/write_10.c
testsuite/libsmbclient/src/write/write_11.c
testsuite/libsmbclient/src/write/write_5.c
testsuite/libsmbclient/src/write/write_1.c
testsuite/libsmbclient/src/write/write_2.c
testsuite/libsmbclient/src/write/write_8.c
testsuite/libsmbclient/src/write/write_9.c
testsuite/libsmbclient/src/write/write_3.c
testsuite/libsmbclient/src/rmdir/rmdir_2.c
testsuite/libsmbclient/src/rmdir/rmdir_3.c
testsuite/libsmbclient/src/rmdir/rmdir_1.c
testsuite/libsmbclient/src/rmdir/rmdir_4.c
testsuite/libsmbclient/src/rmdir/rmdir_5.c
testsuite/libsmbclient/src/rmdir/rmdir_6.c
testsuite/libsmbclient/src/chown/chown_1.c
testsuite/libsmbclient/src/close/close_2.c
testsuite/libsmbclient/src/close/close_1.c
testsuite/libsmbclient/src/closedir/closedir_4.c
testsuite/libsmbclient/src/closedir/closedir_2.c
testsuite/libsmbclient/src/closedir/closedir_3.c
testsuite/libsmbclient/src/closedir/closedir_1.c
testsuite/libsmbclient/src/opendir/opendir_4.c
testsuite/libsmbclient/src/opendir/opendir_2.c
testsuite/libsmbclient/src/opendir/opendir_3.c
testsuite/libsmbclient/src/opendir/opendir_1.c
testsuite/libsmbclient/src/unlink/unlink_5.c
testsuite/libsmbclient/src/unlink/unlink_4.c
testsuite/libsmbclient/src/unlink/unlink_6.c
testsuite/libsmbclient/src/unlink/unlink_7.c
testsuite/libsmbclient/src/unlink/unlink_3.c
testsuite/libsmbclient/src/unlink/unlink_9.c
testsuite/libsmbclient/src/unlink/unlink_12.c
testsuite/libsmbclient/src/unlink/unlink_8.c
testsuite/libsmbclient/src/unlink/unlink_2.c
testsuite/libsmbclient/src/unlink/unlink_10.c
testsuite/libsmbclient/src/unlink/unlink_11.c
testsuite/libsmbclient/src/unlink/unlink_1.c
testsuite/libsmbclient/src/telldir/telldir_5.c
testsuite/libsmbclient/src/telldir/telldir_4.c
testsuite/libsmbclient/src/telldir/telldir_3.c
testsuite/libsmbclient/src/telldir/telldir_2.c
testsuite/libsmbclient/src/telldir/telldir_1.c
testsuite/libsmbclient/src/chmod/chmod_1.c
testsuite/libsmbclient/src/unlink_print_job/unlink_print_job_5.c
testsuite/libsmbclient/src/unlink_print_job/unlink_print_job_4.c
testsuite/libsmbclient/src/unlink_print_job/unlink_print_job_3.c
testsuite/libsmbclient/src/unlink_print_job/unlink_print_job_2.c
testsuite/libsmbclient/src/unlink_print_job/unlink_print_job_1.c
testsuite/libsmbclient/src/read/read_7.c
testsuite/libsmbclient/src/read/read_6.c
testsuite/libsmbclient/src/read/read_4.c
testsuite/libsmbclient/src/read/read_5.c
testsuite/libsmbclient/src/read/read_1.c
testsuite/libsmbclient/src/read/read_13.c
testsuite/libsmbclient/src/read/read_12.c
testsuite/libsmbclient/src/read/read_2.c
testsuite/libsmbclient/src/read/read_10.c
testsuite/libsmbclient/src/read/read_8.c
testsuite/libsmbclient/src/read/read_9.c
testsuite/libsmbclient/src/read/read_11.c
testsuite/libsmbclient/src/read/read_3.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_1.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_3.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_2.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_6.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_7.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_5.c
testsuite/libsmbclient/src/list_print_jobs/list_print_jobs_4.c
testsuite/libsmbclient/src/lseekdir/lseekdir_1.c
testsuite/libsmbclient/src/lseekdir/lseekdir_3.c
testsuite/libsmbclient/src/lseekdir/lseekdir_2.c
testsuite/libsmbclient/src/lseekdir/lseekdir_6.c
testsuite/libsmbclient/src/lseekdir/lseekdir_5.c
testsuite/libsmbclient/src/lseekdir/lseekdir_4.c
testsuite/libsmbclient/src/open/open_4.c
testsuite/libsmbclient/src/open/open_5.c
testsuite/libsmbclient/src/open/open_1.c
testsuite/libsmbclient/src/open/open_2.c
testsuite/libsmbclient/src/open/open_3.c
testsuite/libsmbclient/src/readdir/readdir_1.c
testsuite/libsmbclient/src/readdir/readdir_2.c
testsuite/libsmbclient/src/readdir/readdir_3.c
testsuite/libsmbclient/src/readdir/readdir_4.c
testsuite/libsmbclient/src/readdir/readdir_5.c
testsuite/libsmbclient/src/getdents/getdents_5.c
testsuite/libsmbclient/src/getdents/getdents_4.c
testsuite/libsmbclient/src/getdents/getdents_1.c
testsuite/libsmbclient/src/getdents/getdents_3.c
testsuite/libsmbclient/src/getdents/getdents_2.c
testsuite/libsmbclient/src/lseek/lseek_6.c
testsuite/libsmbclient/src/lseek/lseek_7.c
testsuite/libsmbclient/src/lseek/lseek_5.c
testsuite/libsmbclient/src/lseek/lseek_4.c
testsuite/libsmbclient/src/lseek/lseek_1.c
testsuite/libsmbclient/src/lseek/lseek_3.c
testsuite/libsmbclient/src/lseek/lseek_8.c
testsuite/libsmbclient/src/lseek/lseek_2.c
testsuite/libsmbclient/src/init/init_3.c
testsuite/libsmbclient/src/creat/creat_1.c
testsuite/libsmbclient/src/creat/creat_2.c
testsuite/libsmbclient/src/creat/creat_3.c
testsuite/libsmbclient/src/open_print_job/open_print_job_2.c
testsuite/libsmbclient/src/open_print_job/open_print_job_1.c
testsuite/libsmbclient/src/mkdir/mkdir_4.c
testsuite/libsmbclient/src/mkdir/mkdir_1.c
testsuite/libsmbclient/src/mkdir/mkdir_2.c
testsuite/libsmbclient/src/mkdir/mkdir_3.c
testsuite/libsmbclient/src/print_file/print_file_1.c
testsuite/libsmbclient/src/print_file/print_file_3.c
testsuite/libsmbclient/src/print_file/print_file_2.c
testsuite/libsmbclient/src/print_file/print_file_4.c
testsuite/libsmbclient/src/fstat/fstat_1.c
testsuite/libsmbclient/src/fstat/fstat_3.c
testsuite/libsmbclient/src/fstat/fstat_2.c
testsuite/libsmbclient/src/fstat/fstat_6.c
testsuite/libsmbclient/src/fstat/fstat_5.c
testsuite/libsmbclient/src/fstat/fstat_4.c
testsuite/libsmbclient/src/stat/stat_1.c
testsuite/libsmbclient/src/stat/stat_3.c
testsuite/libsmbclient/src/stat/stat_2.c
testsuite/libsmbclient/src/stat/stat_6.c
testsuite/libsmbclient/src/stat/stat_k.c
testsuite/libsmbclient/src/stat/stat_5.c
testsuite/libsmbclient/src/stat/stat_4.c
testsuite/libsmbclient/src/rename/rename_2.c
testsuite/libsmbclient/src/rename/rename_8.c
testsuite/libsmbclient/src/rename/rename_12.c
testsuite/libsmbclient/src/rename/rename_13.c
testsuite/libsmbclient/src/rename/rename_9.c
testsuite/libsmbclient/src/rename/rename_3.c
testsuite/libsmbclient/src/rename/rename_1.c
testsuite/libsmbclient/src/rename/rename_11.c
testsuite/libsmbclient/src/rename/rename_10.c
testsuite/libsmbclient/src/rename/rename_4.c
testsuite/libsmbclient/src/rename/rename_14.c
testsuite/libsmbclient/src/rename/rename_5.c
testsuite/libsmbclient/src/rename/rename_7.c
testsuite/libsmbclient/src/rename/rename_6.c
Comment 6 Michael Farnbach 2012-02-24 15:21:04 UTC
Just a quick addendum, first I forgot to say thanks for helping out. Y'all are great to work with.

And as quick disclaimer, I haven't verified that all of the files in the above list error out, but I have verified it for a dozen or so of them (and then gave up trying). Some of those files might not actually give an error (for instance I never did get an error on open1.c even though the other open[0-9].c files in that list did but then it might have if I fixed enough other errors).

Thanks again!
Comment 7 Matthias Dieter Wallnöfer 2012-02-29 11:18:46 UTC
This should have been definitely fixed (http://gitweb.samba.org/samba.git/?p=samba.git;a=commitdiff;h=cac9bfe475790c8d682e30fd2648099dc3e72fa5).
Comment 8 Michael Farnbach 2012-02-29 16:14:13 UTC
Confirmed, the fix works.

Many thanks!